<?php
namespace Teknisa\CTB\Controllers;

use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;

class RegistroY600SocioController extends \Teknisa\CTB\Controllers\TeknisaCrud {

    protected $dataSourceName = "";
    protected $parameterBagColumns = array();

    public function __construct($crudService, ParameterBag $parameterBag) {
        parent::__construct($crudService, $parameterBag);
    }

    public function findExistCpf(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = "regy600socio_cpf";
        $this->parameterBagColumns = array("CDREG", "NRORG");
        parent::find($request, $response);
    }

}